%define major		2
%define api		0.8
%define gmajor		0.8
%define libname		%mklibname gee %{api} %{major}
%define gi_name		%mklibname gee-gir %{gmajor}
%define libnamedev	%mklibname -d gee


Name:		libgee
Summary:	GObject-based collection library
Version:	0.20.1
Release:	%mkrel 1
License: 	LGPLv2+
Group:		System/Libraries
Source0: 	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL: 		http://live.gnome.org/Libgee
BuildRequires:  %{_lib}glib2.0_0-devel
BuildRequires:	gobject-introspection-devel >= 0.9.0
BuildRequires:	vala

%description
Libgee is a collection library providing GObject-based interfaces and 
classes for commonly used data structures. 

%package -n	%{libname}
Summary:	Collection library providing GObject-based interfaces and classes 
Group:		System/Libraries

%description -n	%{libname}
Libgee is a collection library providing GObject-based interfaces and 
classes for commonly used data structures. 

%package -n	%{libnamedev}
Summary:	Libraries and include files for developing with libgee
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}

%description -n	%{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#we don't want these
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS NEWS README
%{_libdir}/libgee-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Gee-%{gmajor}.typelib

%files -n %{libnamedev}
%doc ChangeLog
%{_libdir}/libgee-%{api}.so
%{_libdir}/pkgconfig/gee-%{api}.pc
%{_includedir}/gee-%{api}
%{_datadir}/vala/vapi/gee-%{api}.vapi
%{_datadir}/gir-1.0/Gee-%{gmajor}.gir

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Nov 14 2018 adrianomorselli <adrianomorselli> 0.20.1-1uplos2018
- update
